%define name 	bluez-gnome
%define version 0.15
%define release %mkrel 1

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	Bluetooth PIN GUI
License: 	GPL
Group: 		Communications
Url: 		http://www.bluez.org/
Source0: 	http://bluez.sf.net/download/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  libdbus-glib-devel
BuildRequires:  libGConf2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libnotify-devel
BuildRequires:  hal-devel
Buildroot: 	%_tmppath/%name-%version

%description
A GTK2 helper app for Bluetooth PIN number.

%prep
%setup -q

%build
%configure2_5x --disable-mime-update
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="HardwareSettings" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/bluetooth-properties.desktop

%find_lang bluetooth-manager

%clean
rm -rf %{buildroot}

%post
%update_menus
%update_mime_database

%postun
%clean_menus
%clean_mime_database

%files -f bluetooth-manager.lang
%defattr(-,root,root)
%_sysconfdir/xdg/autostart/bluetooth-applet.desktop
%_bindir/bluetooth-applet
%_bindir/bluetooth-properties
%_bindir/bluetooth-analyzer
%_datadir/applications/*
%_datadir/mime/*
%{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas
%{_mandir}/man1/bluetooth-applet.*
%{_mandir}/man1/bluetooth-properties.*
%{_mandir}/man1/bluetooth-analyzer.*


%changelog
* Wed Dec 26 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.15-1mdv2008.1
+ Revision: 138033
- New version 0.15

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2008.1
+ Revision: 115450
- disable mime database update during build
- new version
- update to new version 0.14

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 0.14

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages

  + Nicolas Lécureuil <neoclust@mandriva.org>
    -New version 0.10

* Wed Jun 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9-1mdv2008.0
+ Revision: 41764
- New version 0.9

* Fri Jun 08 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8-1mdv2008.0
+ Revision: 37578
- New version 0.8

* Sun May 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.7-1mdv2008.0
+ Revision: 28976
- New version 0.7


* Fri Mar 02 2007 Emmanuel Andry <eandry@mandriva.org> 0.6-2mdv2007.0
+ Revision: 131004
- reenable menu, seems to need it for autostart

* Thu Mar 01 2007 Emmanuel Andry <eandry@mandriva.org> 0.6-1mdv2007.1
+ Revision: 130862
- fix buildrequires
- gtk2-devel
- libGConf2_4-devel
- buildrequires libdbus-glib-devel

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix mistakes in SPEC
    - Add BR
    - New release 0.6  Menu entry not needed its an applet

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 0.6

* Wed Sep 06 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4-1mdv2007.0
+ Revision: 60182
- import bluez-gnome-0.4-1mdv2007.0

* Wed Sep 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-1mdv2007.0
- First Mandriva release

